//
//  ImagesConfiguration+ShellCommandable.swift
//  
//
//  Created by Thibaut Schmitt on 30/08/2022.
//

import Foundation

extension ImagesConfiguration: Runnable {
    func run(force: Bool) {
        var args = [String]()
        
        if force {
            args += ["-f"]
        }
        
        args += [
            inputFile,
            "--xcassets-path",
            xcassetsPath,
            "--extension-output-path",
            extensionOutputPath
        ]
        
        if let extensionName = extensionName {
            args += [
                "--extension-name",
                extensionName
            ]
        }
        if let extensionSuffix = extensionSuffix {
            args += [
                "--extension-suffix",
                extensionSuffix
            ]
        }
        
        Images.main(args)
    }
}
